Bug 1308902 - volume reset of log levels does not return them to the default
Summary: volume reset of log levels does not return them to the default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Atin Mukherjee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1306877 1308904
TreeView+ depends on / blocked
 
Reported: 2016-02-16 12:17 UTC by Niels de Vos
Modified: 2016-06-28 11:40 UTC (History)
6 users (show)

Fixed In Version: 3.7.12, 3.8.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-28 11:40:14 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-02-16 12:17:16 UTC
+++ This bug was initially created as a clone of Bug #1306877 +++
+++                                                           +++
+++ Use this bug to provide a fix in the master branch.       +++

If you change the log level

    gluster volume set myvol diagnostics.brick-log-level DEBUG

then reset the log level

    gluster volume reset myvol diagnostics.brick-log-level

the process will continue to log at the DEBUG level instead of returning to INFO despite resetting the value in glusterd's view of the graph - removing it from gluster volume info.

Comment 1 Atin Mukherjee 2016-06-23 17:22:30 UTC
This is fixed in latest releases (3.7 & 3.8) of GlusterFS with http://review.gluster.org/#/c/11887 been the mainline patch.


Note You need to log in before you can comment on or make changes to this bug.